Subject: Re: [PATCH] Allow gitweb tab width to be set per project.

From: Jakub Narebski <[email-masked]>
Date: Fri, 1 Oct 2010 23:02:45 +0200

On Fri, 1 Oct 2010, Magnus Hagander wrote:
> On Wed, Sep 29, 2010 at 11:22, Jakub Narebski <[email-masked]> wrote:
>> On Wed, 29 Sep 2010, Magnus Hagander wrote:
>>> On Tue, Sep 28, 2010 at 14:25, Jakub Narebski <[email-masked]> wrote:
>>>> Magnus Hagander <[email-masked]> writes:

>> Nevertheless it is a good practice to check if a change passess
>> appropriate tests from git testsuite; t9500-gitweb-standalone-no-errors
>> should detect this.
> 
> Good point. Now I just need to figure out how to be able to run the
> tests :-) I guess I should just set off a job to build the whole tree,
> and then it will just work..
 
To test other parts of git, you need to first compile, and then run tests
(e.g. by running "make test" after "make").  Gitweb tests check the 
source version (for historical reason, namely that there were no gitweb
target in main makefile, and gitweb didn't get compiled by default),
so in that case you need to compile git once (to satisfy test suite),
and then run e.g.

 # (cd t && ./t9500-gitweb-standalone-no-errors.sh)
 
from the top directory of git repository.

>> P.S. If it is not a %feature, we might want to add description of
>> gitweb.tabwidth to the "Per-repository gitweb configuration" section
>> in gitweb/README (as next to last item)
> 
> Ok. Will add that. Want me to send a new patch with these things included?

Yes, please do.

-- 
Jakub Narebski
Poland